View Issue Details

IDProjectCategoryView StatusLast Update
0016710MediaMonkey (current)DB/FileMonitorpublic2020-07-13 10:59
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version4.1.29 
Summary0016710: Hidden Files marked as Missing on Rescan
DescriptionIf a file already in the Library is set as hidden in Windows it will be seen as a missing file on rescan of the folder containing it. This is caused by the fact that MediaMonkey ignores hidden files on scanning.

TEST NOTE: In order to trigger the bug hen setting HIDDEN user MUST SELECT "this folder, Subfolders and files." if just select "This Folder" as files are not affected.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=7&t=96743&p=469229#p469226
TagsNo tags attached.
Fixed in build1909

Relationships

related to 0016806 closedLudek MediaMonkey 5 Folder Monitoring Startup Scan fails on Drive 

Activities

peke

2020-06-11 20:04

developer   ~0058504

Last edited: 2020-06-11 20:28

View 2 revisions

I am not sure this is a BUG if user wants to Hide folder it should do it on folder only, not on Content files eg. just like "AppData" is hidden from User Profile folder.

lowlander

2020-06-11 20:31

developer   ~0058505

Last edited: 2020-06-11 20:33

View 2 revisions

The files are being scanned, but marked as missing (they aren't) so the hidden status should be ignored for files already in the Library to not inadvertently mark them missing when they aren't, they're just hidden. If folder is hidden, but files aren't this problem doesn't occur.

MediaMonkey should continue ignoring hidden files when it comes to adding them.

peke

2020-06-11 22:17

developer   ~0058506

Last edited: 2020-06-11 22:19

View 2 revisions

That means we should add additional layer for checking Missing files eg. if there is missing files detected MM should try to directly access files prior to listing them in Missing dialog.

Wonder how it will affect scan speed especially if accessing files with altered permissions can slow down checking (especially on NAS/network storage/Mapped drive).

Ludek

2020-06-16 10:18

developer   ~0058564

Fixed in 4.1.29.1909 / 5.0.0.2257

peke

2020-06-19 01:51

developer   ~0058597

Verified 1909